Subject: RE: .def files for stdcall functions
From: [email-masked] (Stephan Mueller)

17 Sep 1997 18:14:37 -0700
Message-ID: <[email-masked]>
To: "[email-masked]'"
	 <[email-masked]>,
        [email-masked]

I believe that the most recent MSVC (5.0) supports __int64, a 64-bit
integer type.
stephan();

> -----Original Message-----
> From:	[email-masked]
> [SMTP:[email-masked]]
> Sent:	Wednesday, September 17, 1997 5:17 PM
> To:	[email-masked]
> Cc:	[email-masked]
> Subject:	Re: .def files for stdcall functions
> 
> Hi Jeff, you wrote:
> 
> : From:	MX%"[email-masked]" 17-SEP-1997
> 15:16:41.32
> [My mailer doesn't allow to edit this address when replying]
> 
> : ptr=4
> : int=4
> : char=4 (unless you do something weird with
> __attribute__((__aligned__)) )
> : short = 4              "
> : long = 8
> : long long = 16 (I think)
> : float = ?
> 
> Where are these numbers from? Not from sizeof(), I suppose...
> IIRC, long=4, long long=8.
> Life would have been a lot easier, if MS had made NT 64bit-clean in
> the
> first place instead of inventing a lot of new 32bit-only APIs.
> Especially since NT runs on Alpha, and DECunix (formerly OSF/1) showed
> up
> a lot of buggy programs. I'd like to try Linux on Alpha 8-)
> BTW, MSVC doesn't understand "long long" (not sure if it is 4.0 or
> 4.2).
> 
> 
> Bye, Heribert ([email-masked])
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".